Foreman - Bug #4553

Editing "miscellaneous™ filter triggers: undefined method "pluralize' for nil:NilClass
03/05/2014 11:06 AM - Dominic Cleal

Status: Closed

Priority: High

Assignee: Marek Hulan

Category: Web Interface

Target version: 1.5.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

When editing a filter for the "Miscellaneous” (i.e. blank) resource_type, the following error occurs:

ActionView: :Template: :Error (undefined method “pluralize' for nil:NilClass) :

45:

46: <%= autocomplete_f f, :search,

47 :disabled => f.object.unlimited?,

48: :path => resource_path(f.object.resource_type), :control_group_
id => 'search_group' %>

49: </div>

50: </div>

51:

app/helpers/filters_helper.rb:20:in "resource_path'
app/views/filters/_form.html.erb:48:in "block in _b45b2ae2fba8a33ed854cl4acl956876"'
app/helpers/layout_helper.rb:246:in " form_for'
app/views/filters/_form.html.erb:3:in °_b45b2ae2fba8a33ed854c14acl956876"'
app/views/filters/edit.html.erb:3:in ~_f35aa42ef6859ffae5b73ffa5586d845"
app/models/concerns/foreman/thread_session.rb:33:in "clear_thread'
lib/middleware/catch_json_parse_errors.rb:9:in “call'

Related issues:
Related to Foreman - Bug #4554: Editing filter on namespaced resource type fa... Duplicate 03/05/2014
Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Associated revisions

Revision 4156b65f - 03/06/2014 10:30 AM - Marek Hulan

Fixes #4553 - miscellaneous filters editing

History

#1 - 03/05/2014 11:06 AM - Dominic Cleal

- Blocks Tracker #4552: New permissions/authorization system issues added

#2 - 03/05/2014 11:11 AM - Dominic Cleal

- Related to Bug #4554: Editing filter on namespaced resource type fails with undefined method “foreman_setup/provisioners_path' added

#3 - 03/05/2014 11:41 AM - Marek Hulan
- Status changed from New to Assigned
- Assignee set to Marek Hulan

- Target version set to 1.9.0

#4 - 03/05/2014 11:49 AM - Marek Hulan
- Status changed from Assigned to Ready For Testing
- translation missing: en.field_release set to 4

PR https:/github.com/theforeman/foreman/pull/1272

#5 - 03/06/2014 12:31 PM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 4156b65f7d0f3557c3dacf0ca630eb9634616dbf.

05/11/2024 22


https://github.com/theforeman/foreman/pull/1272
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/4156b65f7d0f3557c3dacf0ca630eb9634616dbf
http://www.tcpdf.org

